Meta Flow Hub
Api referenceGeneratedMessage templates

Preview a message template

POST/v1/message-templates/{templateVersionId}/preview

Requires the templates:read scope.

Authorization

WorkspaceApiKey
X-API-Key<token>

Workspace API key.

In: header

Path Parameters

templateVersionId*string
Formatuuid

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

variables*array<>
Itemsitems <= 50

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/message-templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/preview" \  -H "Content-Type: application/json" \  -d '{    "variables": [      {        "name": "string",        "value": "string"      }    ]  }'
{  "templateVersionId": "9c8cdef7-7ed4-4683-9325-fcbf62aceeab",  "preview": "string"}